
From: "Antonino A. Daplas" <adaplas@hotpop.com>

atyfb_base.c requires atyfb_cursor, but it is only available for linking if
CONFIG_FB_ATY_CT=y.  This patch moves the .o file to the CONFIG_FB_ATY rule.

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/aty/Makefile |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/aty/Makefile~fbdev-atyfb_basec-requires-atyfb_cursor drivers/video/aty/Makefile
--- 25/drivers/video/aty/Makefile~fbdev-atyfb_basec-requires-atyfb_cursor	Wed Nov  3 15:18:53 2004
+++ 25-akpm/drivers/video/aty/Makefile	Wed Nov  3 15:18:53 2004
@@ -2,9 +2,9 @@ obj-$(CONFIG_FB_ATY) += atyfb.o
 obj-$(CONFIG_FB_ATY128) += aty128fb.o
 obj-$(CONFIG_FB_RADEON) += radeonfb.o
 
-atyfb-y				:= atyfb_base.o mach64_accel.o
+atyfb-y				:= atyfb_base.o mach64_accel.o mach64_cursor.o
 atyfb-$(CONFIG_FB_ATY_GX)	+= mach64_gx.o
-atyfb-$(CONFIG_FB_ATY_CT)	+= mach64_ct.o mach64_cursor.o
+atyfb-$(CONFIG_FB_ATY_CT)	+= mach64_ct.o
 atyfb-objs			:= $(atyfb-y)
 
 radeonfb-y			:= radeon_base.o radeon_pm.o radeon_monitor.o radeon_accel.o
_
